apiVersion: apps/v1
kind: Deployment
metadata:
  name: utility-deployment
  namespace: utility
spec:
  replicas: 1
  selector:
    matchLabels:
      app: utility
  template:
    metadata:
      labels:
        app: utility
    spec:
      containers:
        - name: utility-container
          image: private-repo:5000/utility-rhel:v0.3
          #image: ganeshwalkoli/test-utility:v0.3
          command: ["/bin/bash", "-c", "--"]
          args: ["while true; do sleep 180; done;"]
          ports:
          - containerPort: 8050
      nodeSelector:
        name: master

---
apiVersion: v1
kind: Service
metadata:
  name: utility-service
  namespace: utility
spec:
  selector:
    app: utility
  ports:
    - protocol: TCP
      name: backend
      port: 8050
      targetPort: 8050
      #nodePort: 32056
  #type: NodePort
